import datetime

from django.contrib.auth.models import User
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView

from . import models

class PostDetailView(DetailView):
    model = models.Post

class PostListView(ListView):
    model = models.Post
    paginate_by = 10

    def get_queryset(self):
        now = datetime.datetime.utcnow()

        return super().get_queryset().filter(
            publication_utc__lte=now,
        ).order_by('-publication_utc')
